#!/bin/bash
############################################################
# This Shell script and the embeded GrADS Script are used to
# Download GEFS & CFSv2 Forecast Data for domain of your interest and
# Plots Week-1 / Week-2 /Week-34  Precip/ T2m and Circulation Anomaly Forecasts
# Written by Endalkachew Bekele, NOAA/CPC/International Desks, August 2019

LANG=en_US.utf8
unameout="$(uname -s)"

if [ "$#" -ne 4 ]; then
    echo "***************************************************************************************************************************"
    echo " error while running plot_gefs_week1_anomalies.sh"
    echo "----------------- You need to provide 4 arguments -------------------------------------------------------------------------"
    echo "***************************************************************************************************************************"
    echo
    echo "The four arguments reflect geographical extent of your area:"
    echo
    echo "western lon, eastern lon, southern lat and northern lat in degreas, respectively"
    echo
    echo "Use negative sign for longitudes in western, and latitudes in the southern hemisphere"
    echo
    echo "For example, if your area extends from 10W to 12E and from 5S to 10N .."
    echo " you may run the script as .."
    echo
    echo " ./plot_all.sh -10 12 -5 10"
    echo
    echo
exit
fi

rm  cfsv2_week*.???
rm  gefs_week*.???

bash plot_gefs_week1_anomalies.sh $1 $2 $3 $4
bash plot_gefs_week2_anomalies.sh $1 $2 $3 $4
bash plot_cfsv2_week2_anomalies.sh $1 $2 $3 $4

if [ $unameout = "Darwin" ]; then
   /Applications/Google\ Chrome.app/Contents/MacOS/Google\ Chrome index.html&
   open -a Safari index.html&
else
    firefox index.html&
    google-chrome index.html&
    cygstart index.html 
fi
